org.springframework.dao

## Class IncorrectResultSizeDataAccessException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.core.NestedRuntimeException
        - - org.springframework.dao.DataAccessException
          - - org.springframework.dao.NonTransientDataAccessException
            - - org.springframework.dao.DataRetrievalFailureException
              - - org.springframework.dao.IncorrectResultSizeDataAccessException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  EmptyResultDataAccessException

    public class IncorrectResultSizeDataAccessException
    extends DataRetrievalFailureException

Data access exception thrown when a result was not of the expected size, for example when expecting a single row but getting 0 or more than 1 rows.

Since:
  1.0.2
Author:
  Juergen Hoeller, Chris Beams
See Also:
  `EmptyResultDataAccessException`, Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`IncorrectResultSizeDataAccessException(int expectedSize)` Constructor for IncorrectResultSizeDataAccessException.
`IncorrectResultSizeDataAccessException(int expectedSize, int actualSize)` Constructor for IncorrectResultSizeDataAccessException.
`IncorrectResultSizeDataAccessException(String msg, int expectedSize)` Constructor for IncorrectResultSizeDataAccessException.
`IncorrectResultSizeDataAccessException(String msg, int expectedSize, int actualSize)` Constructor for IncorrectResultSizeDataAccessException.
`IncorrectResultSizeDataAccessException(String msg, int expectedSize, int actualSize, Throwable ex)` Constructor for IncorrectResultSizeDataAccessException.
`IncorrectResultSizeDataAccessException(String msg, int expectedSize, Throwable ex)` Constructor for IncorrectResultSizeDataAccessException.

### Method Summary

Methods
`int` `getActualSize()` Return the actual result size (or -1 if unknown).
`int` `getExpectedSize()` Return the expected result size.

### Methods inherited from class org.springframework.core.NestedRuntimeException

`contains, getMessage, getMostSpecificCause, getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IncorrectResultSizeDataAccessException

    public IncorrectResultSizeDataAccessException(int expectedSize)

Constructor for IncorrectResultSizeDataAccessException.

Parameters:
  `expectedSize` - the expected result size

#### IncorrectResultSizeDataAccessException

    public IncorrectResultSizeDataAccessException(int expectedSize,
                                          int actualSize)

Constructor for IncorrectResultSizeDataAccessException.

Parameters:
  `expectedSize` - the expected result size
  `actualSize` - the actual result size (or -1 if unknown)

#### IncorrectResultSizeDataAccessException

    public IncorrectResultSizeDataAccessException(String msg,
                                          int expectedSize)

Constructor for IncorrectResultSizeDataAccessException.

Parameters:
  `msg` - the detail message
  `expectedSize` - the expected result size

#### IncorrectResultSizeDataAccessException

    public IncorrectResultSizeDataAccessException(String msg,
                                          int expectedSize,
                                          Throwable ex)

Constructor for IncorrectResultSizeDataAccessException.

Parameters:
  `msg` - the detail message
  `expectedSize` - the expected result size
  `ex` - the wrapped exception

#### IncorrectResultSizeDataAccessException

    public IncorrectResultSizeDataAccessException(String msg,
                                          int expectedSize,
                                          int actualSize)

Constructor for IncorrectResultSizeDataAccessException.

Parameters:
  `msg` - the detail message
  `expectedSize` - the expected result size
  `actualSize` - the actual result size (or -1 if unknown)

#### IncorrectResultSizeDataAccessException

    public IncorrectResultSizeDataAccessException(String msg,
                                          int expectedSize,
                                          int actualSize,
                                          Throwable ex)

Constructor for IncorrectResultSizeDataAccessException.

Parameters:
  `msg` - the detail message
  `expectedSize` - the expected result size
  `actualSize` - the actual result size (or -1 if unknown)
  `ex` - the wrapped exception

### Method Detail

#### getExpectedSize

    public int getExpectedSize()

Return the expected result size.

#### getActualSize

    public int getActualSize()

Return the actual result size (or -1 if unknown).